#
# spec file for package tilde
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tilde
Version:        0.3.7
Release:        lp151.2.4
Summary:        An intuitive text editor for the terminal
License:        GPL-3.0
Group:          Development/Libraries/C and C++
Url:            http://os.ghalkes.nl/t3/libt3widget.html

#Freecode-URL:	http://freecode.com/projects/tilde
#Git-Clone:	git://github.com/gphalkes/tilde
Source:         http://os.ghalkes.nl/dist/%name-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  c++_compiler
BuildRequires:  gettext-devel
BuildRequires:  libacl-devel
BuildRequires:  libattr-devel
BuildRequires:  libunistring-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libt3config) >= 0.2.6
BuildRequires:  pkgconfig(libt3highlight) >= 0.4.0
BuildRequires:  pkgconfig(libt3widget) >= 0.5.0
BuildRequires:  pkgconfig(libtranscript) >= 0.2.0

%description
Tilde is a text editor for the console/terminal, which provides an
intuitive interface for people accustomed to GUI environments such as
Gnome, KDE and Windows. For example, the short-cut to copy the
current selection is Control-C, and to paste the previously copied
text the short-cut Control-V can be used. As another example, the
File menu can be accessed by pressing Meta-F.

%prep
%setup -q

%build
%configure --docdir="%_docdir/%name"
make %{?_smp_mflags}

%install
b="%buildroot"
make install DESTDIR="$b"

%files
%defattr(-,root,root)
%_bindir/tilde
%_docdir/%name/
%_datadir/%name/
%_mandir/man1/tilde.1*
%doc COPYING

%changelog
* Mon Aug  7 2017 jengelh@inai.de
- Update to new upstream release 0.3.7
  * Resolve crashes that happened on program exit
  * Add a "toggle comment" functionality.
  * Several problems with syntax highlighting were fixed.
* Thu Feb 19 2015 p.drouand@gmail.com
- Update to version 0.3.4
  * Re-release of version 0.3.4 to update the configure script.
* Mon Jul 21 2014 jengelh@inai.de
- Update to new upstream release 0.3.3
  * This release correctly handle errors in conversion when loading
  files. When the converter failed in unexpected ways, Tilde would
  previously crash.
  * Added warnings about trying to overwrite a read-only file,
  improved the warnings about encoding issues when saving and fixed
  the setting of the comment-keyword style.
* Mon Jun 10 2013 jengelh@inai.de
- Initial package (version 0.3.0) for build.opensuse.org
